/*
 * Lookup.h
 *
 *  Created on: Jan. 19, 2015
 *      Author: Campbell
 */

 /* Header file */
    #ifndef _LOOKUP_H
    #define _LOOKUP_H

    /**
     * Table lookup with interpolation (1-D and 2-D) header file.
     */

    #include <stdbool.h>
	#include <math.h>
	#include <stdio.h>

    /** One dimensional lookup table. */
    typedef struct
    {
    	float x;
    	float y;
    } Table1d;


    float lookup1d(Table1d *t, float ix, int n);
    float lookup2d(float vecX[], float vecY[], float table2d[][25], int nrows, int ncols, float ix, float iy);


    #endif
/* ---------------------------------------------------------------------------------*/

