/*
 * ResolverWobble.h
 *
 *  Created on: Jan 22, 2015
 *      Author: mohajerani
 */

#ifndef RESOLVERWOBBLE_H_
#define RESOLVERWOBBLE_H_

#include "Utility.h"

#define W_ARRAY_LENGTH      100//64
#define INV_W_ARRAY_LENGTH  0.01//0.0156
#define SPEED_ERR_THR       0.01
#define BETA_GAIN           0.0001


/* ---------------------------------------------------------------------------------
 *
 */
void betaGainUpdate(float speedArrayAvg[], float beta[], float speedAvg);

/* ---------------------------------------------------------------------------------
 *
 */
void speedArrayProcess(float speedArrayAvg[][2], float speedAvgArray[], float beta[], int* speedConstant, float* speedAvg);

/* ---------------------------------------------------------------------------------
 *
 */
void speedArrayUpdate(float rawSpeed, float rawTheta, float speedArrayAvg[], float beta[], int* speedConstant, float* speedAvg);

#endif /* RESOLVERWOBBLE_H_ */
