/*----------------------------------------------------------------------------
| Project defines
|-----------------------------------------------------------------------------
| Copyright (c) 2009 by Vector Informatik GmbH.  All rights reserved.
|---------------------------------------------------------------------------*/

#ifndef __PROJECT_H__
#define __PROJECT_H__


//
// RTP/DMM settings
//
// BEWARE: Selecting a too wide DMM port size can damage your hardware!
//

//#define RTP_2BIT
//#define RTP_4BIT
//#define RTP_8BIT
#define RTP_16BIT

//#define DMM_2BIT
#define DMM_4BIT
//#define DMM_8BIT
//#define DMM_16BIT


//
// System clock settings
//

//#define SYS_PLL_16_TO_40_MHZ
//#define SYS_PLL_16_TO_60_MHZ
//#define SYS_PLL_16_TO_80_MHZ
#define SYS_PLL_16_TO_100_MHZ


//
// Trace window info
//
// BEWARE: The corresponding trace windows have to be configured
//         in sys.c sysRtpDmmInit() independently
#define TRACE_WINDOW_START       0x08000000
#define TRACE_WINDOW_SIZE        0x40000

// RAM_SYNCH_CHUNK_DWORDS must be chosen so that TRACE_WINDOW_SIZE
// is divisable by RAM_SYNCH_DWORDS * 4.
#define RAM_SYNCH_CHUNK_DWORDS   0x8
#define RAM_SYNCH_CHUNKS         (TRACE_WINDOW_SIZE / (4 * RAM_SYNCH_CHUNK_DWORDS))



#endif //__PROJECT_H__
