;
; Exported symbols
;
  .global _clearRMW


;
; Linker section
;
  .sect ".text"

;
; Code
;



; For devices with Cortex-R4 core: Clear
; 'Read-Modify-Write on BTCM' in Secondary
; Auxiliary Control Register.
; REMARK: r0 is a save-on call register and
; thus can be used here without precautions.

_clearRMW:

  mrc p15, #0, r0, c15, c0, #0
  bic r0, r0, #0x2
  mcr p15, #0, r0, c15, c0, #0

  bx r14

  .end
